org.apache.pdfbox.pdmodel.graphics.shading

## Class ShadingContext

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.shading.ShadingContext

Direct Known Subclasses:
  AxialShadingContext, RadialShadingContext

    public abstract class ShadingContext
    extends Object

A base class to handle what is common to all shading types.

Author:
  Shaola Ren, Tilman Hausherr

### Constructor Summary

Constructors
Constructor and Description
`ShadingContext(PDShading shading, ColorModel cm, AffineTransform xform, Matrix matrix)` Constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShadingContext

    public ShadingContext(PDShading shading,
                          ColorModel cm,
                          AffineTransform xform,
                          Matrix matrix)
                   throws IOException

Constructor.

Parameters:
  `shading` - the shading type to be used
  `cm` - the color model to be used
  `xform` - transformation for user to device space
  `matrix` - the pattern matrix concatenated with that of the parent content stream
Throws:
  `IOException` - if there is an error getting the color space or doing background color conversion.